Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle
Class Main

    java.lang.Object
      com.puppycrawl.tools.checkstyle.Main

    public final class Main

extends Object

Wrapper command line program for the Checker.

Author:
  Oliver Burn

Constructor Summary
`Main()`

Method Summary
`static void` | `main(String[] aArgs)` Loops over the files specified checking them for errors.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Main

    public Main()

Method Detail

### main

    public static void main(String[] aArgs)

  Loops over the files specified checking them for errors. The exit code is the number of errors found in all the files.

  Parameters:
    `aArgs` - the command line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD